<div id="venipak_popup" class="bootstrap">
    <div id="tabs-container">
        <ul class="tabs-menu">
            {assign var=counter value=0}
            {foreach from=$veni_warehouses item=warehouse}
                <li {if $counter==0} class="current" {/if}><a href="#tab-{$warehouse.id}">{$warehouse.address_title}</a></li>
                {assign var=counter value=$counter+1}
            {/foreach}
        </ul>
        <div class="tab">
            {assign var=tabCounter value=0}
            {foreach from=$veni_warehouses item=warehouse}
            {assign var=warehouseId value=$warehouse.id}
            {assign var=tabCounter value=$tabCounter+1}
                <div id="tab-{$warehouse.id}" class="tab-content {if $tabCounter==1} tab-current {/if}">
                    
                    <div class="courrier-call-wrapper">
                        {if $courrierCalls.$warehouseId}
                            {foreach from=$courrierCalls.$warehouseId item=call}
                            <div class="callentry">
                                <span class="courrier-called">{l s="Courrier called"}:</span>
                                {assign var=calld value=$call.data_parsed}
                                {$calld.date_y}-{$calld.date_m}-{$calld.date_d} {$calld.hour_from}:{$calld.min_from}-{$calld.hour_to}:{$calld.min_to}, {l s="Weight:"} {$calld.weight}, {l s="Pallets:"} {$calld.weight}
                                {if $calld.comment!=""}
                                    {$calld.comment}
                                {/if}
                            </div>
                            {/foreach}
                        {/if}
                        <button type="button" value="" class="veni-call-courrier btn btn-default"><i class="icon-phone"></i> {l s='Call courrier'}</button>
                    <div class="courrier-call-form">
                        <button type="button" class="close-button" name="close">X</button>
                        <form method="POST" action="#">
                            <input type="hidden" name="warehouse_id" value="{$warehouse.id}" />
                            <div class="form-row">
                                <label for="weight">{l s='Weight'}</label>
                                <input type="text" name="weight" value="" />
                            </div>
                            <div class="form-row">
                                <label for="pallets">{l s='Pallets'}</label>
                                <input type="text" name="pallets" value="0" />
                            </div>
                            <div class="form-row">
                                <label for="arrive_date">{l s='Time of arrival'}</label>
                                <select name="arrive_date" class="veni-arrive-date">
                                {foreach $couries_call_dates item=datetime}
                                        {assign var=calldate value=$datetime.date}
                                        <option value="{$datetime.date}" data-weight="{$weights_by_warehouse_by_date.$warehouseId.$calldate}">{$datetime.date}</option>

                                {/foreach}
                                </select>
                                {foreach $couries_call_dates item=datetime}
                                    <div class="call-times-select" data-fordate="{$datetime.date}">
                                        From:
                                        <div class="clearfix"></div>
                                        <select name="hour_from" class="hour_from">
                                        {if isset($datetime.times.hours)}
                                        {foreach $datetime.times.hours item=hour}
                                                <option value="{$hour}">{$hour}</option>
                                        {/foreach}
                                        {/if}
                                        </select>
                                        <select name="min_from" class="min_from">
                                        {if isset($datetime.times.mins)}
                                        {foreach $datetime.times.mins item=min}
                                                <option value="{$min}">{$min}</option>
                                        {/foreach}
                                        {/if}
                                        </select>
                                        <div class="clearfix"></div>
                                        To: <div class="clearfix"></div>
                                        <select name="hour_to" class="hour_to">
                                        {if isset($datetime.times.hours)}
                                        {foreach $datetime.times.hours item=hour}
                                                <option value="{$hour}">{$hour}</option>
                                        {/foreach}
                                        {/if}
                                        </select>
                                        <select name="min_to" class="min_to">
                                        {if isset($datetime.times.mins)}
                                        {foreach $datetime.times.mins item=min}
                                                <option value="{$min}">{$min}</option>
                                        {/foreach}
                                        {/if}
                                        </select>
                                        <div class="clearfix"></div>
                                    </div>
                                {/foreach}
                                <p class="notice">{l s="There has to be at least 2 hours interval."}</p>
                            </div>
                            <div class="form-row">
                                <textarea name="comment"></textarea>
                            </div>
                            <div class="form-row">
                                <button type="submit" name="veni-call-carrier" value="">{l s='Submit call'}</button>
                            </div>
                        </form>
                    </div>
                    </div>
                    
                    <strong class="orders-title">{l s='List of active orders:'}</strong>


                    {foreach from=$manifests.$warehouseId item=manifest}
                    
                        <div class="manifest-wrapper">
                        <div class="manifest-title">
                            <b>{$manifest.manifest.manifest_date}</b> - {$manifest.manifest.manifest_no}
                        </div>
                        <div class="manifest-close-wrap">
                            <form action="{$printmanifesturl}" target="_blank" method="POST">
                                <input type="hidden" name="manifest_no" value="{$manifest.manifest.manifest_no}" />
                                <button class="veni-print-manifest btn btn-primary">{l s='Print and close manifest'}</button>
                            </form>
                        </div>
                        <div class="bootstrap">
                        <div class="table-responsive-row clearfix">
                        <table class="table order">
                            <thead>
                                <tr>
                                    <th><input type="checkbox" class="markallorders"</th><th>{l s='Reference'}</th><th>{l s='Packs no.'}</th><th>{l s='Customer'}</th><th>{l s='Amount'}</th><th>{l s='Payment'}</th>
                                </tr>
                            </thead>
                        {foreach $manifest.orders item=order}
                        
                        <tr>
                            <td><input type="checkbox" class="veni-order-id" value="{$order.order_id}" /></td>
                            <td>{$order.reference}</td>
                            <td>{$order.packscount}</td>
                            <td>{$order.firstname|substr:0:1}. {$order.lastname}</td>
                            <td><span class="badge badge-success">{$order.total_paid_tax_incl}</span></td>
                            <td>{$order.payment}</td>
                        </tr>

                        {/foreach}
                        </table>
                        </div>
                        </div>
                        </div> <!-- manifest-wrapper -->
                    {/foreach}
                    <div class="clearfix"></div>
                    <form method="POST" action="{$printlabelsurl}" target="_blank" style="display: inline-block;">
                        <button type="button" value="" class="veni-print-labels btn btn-primary"><i class="icon-print"></i> {l s='Print labels'}</button>
                    </form>
                    <a href="{$allmanifestslink}" class="btn btn-default pull-right">View all manifests</a>
                </div>
            {/foreach}

        </div>
    </div>
    <div class="clearfix"></div>
</div>

<script type="text/javascript">
$(document).ready(function() {
    $("#venipak_popup .tabs-menu a").click(function(event) {
        event.preventDefault();
        $(this).parent().addClass("current");
        $(this).parent().siblings().removeClass("current");
        var tab = $(this).attr("href");
        $(".tab-content").not(tab).css("display", "none").removeClass('tab-current');
        //close if open courrier call window
        $('.courrier-call-form').removeClass('open');
        $(tab).fadeIn().addClass('tab-current');
    });

    $(".veni-print-labels").click(function(){
        //collect selected checkboxes
        var selected = $(this).closest('.tab-content').find(".veni-order-id:checked").map(function() {
            return this.value;
        }).get();
        //append them to this button's form
        //and send form
        if(selected.length==0){ alert('{l s="No orders selected."}'); return false; }
        //remove old
        var callerBtn = $(this);
        callerBtn.closest('form').find('input[type="hidden"]').remove();
        $.each(selected, function(index,value){
            callerBtn.closest('form').append('<input type="hidden" name="order_ids[]" value="'+value+'" />');
        });
        callerBtn.closest('form').submit();
        return false;

    });

    $(".veni-call-courrier").click(function(){
        //open form
        $(this).closest(".courrier-call-wrapper").find(".courrier-call-form").addClass("open");
        veniShowTimes($(".tab-current .veni-arrive-date").val());
        $.fancybox.update();
    });
    //show times only for selected date
    function veniShowTimes(selected){
        
        //disable old
        $('.tab-current .call-times-select.active').removeClass('active');
        console.log($('.tab-current .call-times-select[data-fordate="'+selected+'"]'));
        $('.tab-current .call-times-select[data-fordate="'+selected+'"]').addClass('active');

        //set weight
        var weight = $('.tab-current .veni-arrive-date option[value="'+selected+'"]').data('weight');
        $('.tab-current .courrier-call-form input[name="weight"]').val(weight);
    }

    veniShowTimes($(".tab-current .veni-arrive-date").val());
    $("#tabs-container").on('change', '.tab-current .veni-arrive-date',function(){
        veniShowTimes($(".tab-current .veni-arrive-date option:selected").val());
    });

    $(".courrier-call-form form").submit(function(e){

        //make ajax call
        var selected = $(".veni-arrive-date option:selected").val();
        var formData = {
            'weight': $(this).find('input[name="weight"]').val(),
            'pallets': $(this).find('input[name="pallets"]').val(),
            'dimensions': $(this).find('input[name="dimensions"]').val(),
            'warehouse_id': $(this).find('input[name="warehouse_id"]').val(),
            'comment': $(this).find('textarea[name="comment"]').val(),
            'arrive_date': selected,
            //'arrive_date': $(this).find('.call-times-select[data-fordate="'+selected+'"]').val(),
            'hour_from': $(this).find('.call-times-select[data-fordate="'+selected+'"] .hour_from').val(),
            'min_from': $(this).find('.call-times-select[data-fordate="'+selected+'"] .min_from').val(),
            'hour_to': $(this).find('.call-times-select[data-fordate="'+selected+'"] .hour_to').val(),
            'min_to': $(this).find('.call-times-select[data-fordate="'+selected+'"] .min_to').val(),
        };

        $.ajax({
				type:"POST",
				url: "{$callcarrierurl}",
				async: true,
				dataType: "json",
				data : formData,
				success : function(res)
				{
					console.log(res);
                    if(res.status==1){
                        //reload window
                        alert("{l s='Sucessfully called.'}");
                        setTimeout(function(){
                            $.fancybox.close();
                            veniOpenPopup();
                        }, 2000);
                    }else{
                        alert(res.error);
                    }
				},
                error: function(res){
                    console.log("Error: ");
                    console.log(res);
                    alert("Error X001");
                }
			});
        return false;
    });

    $(".courrier-call-form .close-button").click(function(){
        $(this).parent().removeClass('open');
    });

    $(".veni-print-manifest").click(function(e){
        e.preventDefault();
        var confirmation = confirm('{l s="Are you sure?"}');
        if(confirmation){
            $(this).closest('form').submit();
            setTimeout(function(){
                $.fancybox.close();
                veniOpenPopup();
            }, 2000);
            return true;
        }
        return false;

    });

    $(".markallorders").click(function(){
        $(this).closest(".manifest-wrapper").find("td .veni-order-id").prop('checked', this.checked);
    });
});
</script>